DICT_LOOKUP(1)

NAME
dict_lookup - DICT Protocol Client

SYNOPSIS
dict_lookuop [options]

DESCRIPTION
dict_lookup reads X selection, then open terminal emulator and run dict client in it allowing user to view content using pager. It makes sense to configure launching dict_lookup on a keyboard shortcut in the window manager.

OPTIONS

-h  display help message.

-x x
    X coordinate of terminal emulator.

-x Y
    Y coordinate of terminal emulator.

-s WxH
    width and height of terminal emulator separated by 'x'.

-q query
    query, if it is specified, X selection is not read.

ENVIRONMENT
dict_lookup recognizes the following environment variables. The default value is specified in square brackets.

D_AWK_PROG
    AWK interpreter to use. [awk]

D_XCLIP_PROG
    xclip application. [xclip]

D_XTERM_PROG
    xterm or equivalent terminal emulator. [xterm]

D_UTF8_LOCALE
    UTF-8 locale. [first available UTF-8 locale on system]

D_DICT_PROG
    Dictionary client program. [dict]

D_DICT_SERVER
    Option for dictionary client specifying the server. [-h dict.org]

D_DICT_PORT
    Option for dictionary client specifying the port. [-p 2628]

D_DICT_DB_OPT
    Option for dictionary client specifying the database. [-d foldoc]

D_XTERM_CLASS
    Option for terminal emulator specifying the class. [-class XTerm]

D_XTERM_NAME
    Option for terminal emulator specifying the name. [-name xterm_dict]

D_XTERM_TITLE
    Option for terminal emulator specifying the title. [-title dict_lookup]

D_TEXT_WIDTH
    Program calculating text width for given text. [cyrillic_text_width]
    cyrillic_text_width doesn't work correctly for Japanese, Korean, Chinese and some other languages.

D_TERM_X
    Terminal emulator X coordinate. [+200]

D_TERM_Y
    Terminal emulator Y coordinate. [+200]

D_TERM_H
    Terminal emulator height. [+40]

D_PAGER
    Pager. [less -R]

SEE ALSO
dict(1), less(1), xterm(1), dictd(8), http://www.dict.org, RFC 2229